]> git.openstreetmap.org Git - chef.git/blobdiff - cookbooks/planet/templates/default/streaming.init.erb
Bring streaming replication under chef control
[chef.git] / cookbooks / planet / templates / default / streaming.init.erb
diff --git a/cookbooks/planet/templates/default/streaming.init.erb b/cookbooks/planet/templates/default/streaming.init.erb
new file mode 100644 (file)
index 0000000..85ed3ef
--- /dev/null
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+# DO NOT EDIT - This file is being maintained by Chef
+
+start() {
+  start-stop-daemon --start --chuid planet --background --make-pidfile --pidfile /var/run/<%= @service %>.pid --exec /usr/local/bin/<%= @service %>
+}
+
+stop() {
+  start-stop-daemon --stop --retry 300 --pidfile /var/run/<%= @service %>.pid
+}
+
+status() {
+  start-stop-daemon --status --pidfile /var/run/<%= @service %>.pid
+}
+
+case "$1" in
+  start)
+    start
+    ;;
+  stop)
+    stop
+    ;;
+  restart)
+    stop || exit $?
+    start
+    ;;
+  status)
+    status
+    ;;
+esac